KeyEnvKeyEnv
API Reference

Health

Health check endpoints

Health

Health check endpoints

Health check

GET /health

Returns the health status of the API server

Operation ID: healthCheck · Authentication: none (public endpoint)

Responses

StatusDescriptionBody
200Service is healthyHealthResponse
503Service is degradedHealthResponse

Response body (200)

FieldTypeDescription
statusenum (ok, degraded)
servicestring
versionstring
build_timestring
checksobject

Example

curl -X GET "https://api.keyenv.dev/health"

API info

GET /api/v1

Returns basic API information

Operation ID: apiInfo · Authentication: none (public endpoint)

Responses

StatusDescriptionBody
200API informationobject

Response body (200)

FieldTypeDescription
messagestring
versionstring

Example

curl -X GET "https://api.keyenv.dev/api/v1"

On this page